<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('patient_passports', function (Blueprint $table) {
            $table->id();
            $table->string('patient_id');
            $table->string('user_id');
            $table->string('passport_file');
            $table->LongText('description');
            $table->string('country');
            $table->string('city');
            $table->string('patient_embassy_name');
            $table->string('passport_number');
            $table->string('attandant_name');
            $table->string('attandant_embassy_name');
            $table->string('attandant_passport_number');
            $table->string('hospital_id');
            $table->string('appointment_date');
            $table->string('upload_passport');
            $table->enum('status', ['1', '0']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('patient_passports');
    }
};
